Subject: Re: [bug#53019] [PATCH 3/6] gnu: python-codecov: Update to 2.1.12.

From: [email-masked]
Date: Mon, 10 Oct 2022 20:50:37 +0000

Dear Maxime,
On 2022-07-30 21:02, Maxime Devos wrote:
> On 01-07-2022 23:32, Giacomo Leidi via Guix-patches via wrote:
>> +    (arguments
>> +     (list
>> +      ;; 3 failed, 47 passed, 21 skipped, 1 warning
>> +      #:tests? #f))
> 
> By disabling tests when they detect problems, we defeat the point of
> having tests. A 'failing' test is a good test, as it detected a
> problem (hopefully not a false positive ...) before the buggy result
> is actually used for real.
> 
> It's like, say, firing a building inspector because they noticed that
> the building would fall over in case of some wind from an
> unanticipated direction, instead of making the building more sturdy,
> changing the building plan or not proceeding with actually building
> the building.
> 
> What problems did the tests detect?
Some tests depend on network access, I now identified and disabled them.

Thank you,

giacomo